package cn.ey.biz.module.system.api.file;

import cn.ey.biz.common.pojo.R;
import cn.ey.biz.module.system.api.file.dto.FileCreateReqDTO;
import cn.ey.biz.module.system.api.file.dto.FileRespDTO;
import cn.ey.biz.module.system.dal.dataobject.file.FileDO;
import cn.ey.biz.module.system.service.file.FileService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;
import javax.annotation.Resource;
import static cn.ey.biz.common.pojo.R.success;
import static cn.ey.biz.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class FileApiImpl implements FileApi {

    @Resource
    private FileService fileService;

    @Override
    public R<String> createFile(FileCreateReqDTO createReqDTO) {
        FileDO fileDO = fileService.createFile(createReqDTO.getName(), createReqDTO.getPath(),
                createReqDTO.getContent(),null);
        return success(fileDO.getUrl());
    }

    @Override
    public R<FileRespDTO> getFile(Long id) {
        FileRespDTO fileRespDTO=fileService.getFileId(id);
        return success(fileRespDTO);
    }

    @Override
    public R<FileRespDTO> getByFileType(String fileType) throws Exception {
        FileRespDTO fileRespDTO=fileService.getByFileType(fileType);
        return success(fileRespDTO);
    }

}
